<h1 id="getting-started">Getting Started</h1>
<p>Thank you for purchasing my theme. If you have any questions that are beyond the scope of this help file, please feel free to email any of your questions to our <a href="https://themewich.com/theme-support/">Support System</a>. Thanks so much!</p>
<h2 id="installation">Installation</h2>
<blockquote>
<p><strong>WordPress is required</strong> </p>
<p>To install this theme you must have a working version of WordPress already installed. For information regarding the installation of the WordPress platform, please see the <a href="http://codex.wordpress.org/Installing_WordPress">WordPress Codex</a>.</p>
</blockquote>
<p>Once wordpress is installed, you can upload the theme files and activate the theme. The theme files can be uploaded in two ways:</p>
<h4 id="ftp-upload">FTP Upload</h4>
<p>Using your FTP program, upload the non-zipped theme folder into the <strong>/wp-content/themes/</strong> folder on your server.</p>
<h4 id="wordpress-upload">WordPress Upload</h4>
<p>First, unzip the downloaded zip file. Navigate to <strong>Appearance &gt; Add New Themes &gt; Upload</strong>. Go to browse, and select the zipped theme folder, called <strong>struck.zip</strong>. Click <strong>Install Now</strong> and the theme will be uploaded and installed.</p>
<p>Once the theme is uploaded, you need to activate it. Go to <strong>Appearance &gt; Themes</strong> and activate your chosen theme.</p>
<h2 id="plugin-install">Plugin Install</h2>
<h4 id="required-plugin-installation">Required Plugin Installation</h4>
<p>The theme&#39;s functionality is broken up through the use of individual plugins. 
This way, if you ever decide to change themes, your site data like shortcodes or contact forms 
will continue to work on your new site.</p>
<ol>
<li><p>Once you have activated the theme a plugin notification should appear, prompting you to install the required and recommended plugins. 
Follow the prompt and click <strong>Begin installing plugins</strong>
<img src="../wp-content/themes/struck/functions/includes/help/images/plugin-prompt.png" alt="Alt text"></p>
</li>
<li><p>On the following page click the checkbox next to <strong>Plugin</strong> in the header. This will select all plugins. 
Only the plugins marked &quot;required&quot; are required for theme functionality. The rest are completely optional.
<img src="../wp-content/themes/struck/functions/includes/help/images/activate-plugin.png" alt="Alt text"></p>
</li>
<li><p>Next, select <strong>Install</strong> from the <strong>Bulk Actions</strong> dropdown and click <strong>Apply</strong> to finish the process. The plugins will automatically be activated.</p>
</li>
</ol>
<h4 id="manual-plugin-install">Manual Plugin Install</h4>
<p>If you&#39;ve already installed the required plugins using the above directions, then you don&#39;t need to manually install the required plugins. 
However, if you&#39;ve run into problems installing the theme&#39;s plugins, you can manually install them.</p>
<ol>
<li><p>Navigate to <strong>Plugins &gt; Add New</strong>. Click the <strong>Upload Plugin</strong> link and then select <strong>Choose file</strong>. 
You can find all the plugins in your theme download in the <strong>struck/functions/plugins</strong> folder. Be sure to choose the zip file to install the plugin.
<img src="../wp-content/themes/struck/functions/includes/help/images/install-plugin.png" alt="Alt text"></p>
</li>
<li><p>Once you selected the correct file, click <strong>Install Now</strong>. 
The plugin will unpack, install, and then require activation. Select <strong>Activate Plugin</strong>. Your plugin is now activated.
<img src="../wp-content/themes/struck/functions/includes/help/images/plugin-activate.png" alt="Alt text"></p>
</li>
</ol>
<h2 id="page-setup-">Page Setup </h2>
<p>After you install the theme you&#39;ll need to set up some page templates and a few options to get it running properly. 
There are several custom page templates included with this theme, which provides more flexibility and customization options. </p>
<h3 id="page-templates">Page Templates</h3>
<p>See the list below for a brief explanation of the page templates included with this theme. For more information on customizing your theme using page templates see <a href="#customization-customizing-pages">Customizing Pages</a> section of the theme help. </p>
<blockquote>
<p><strong>Note:</strong> Sections can be added to <strong>any</strong> page template. All sections will appear first on the page, before the content and page title area. For more information visit the <a href="#adding-content-sections">Sections</a> portion of theme help.</p>
</blockquote>
<table>
<thead>
<tr>
<th>Template Option</th>
<th>Description</th>
</tr>
</thead>
<tbody>
<tr>
<td><strong>Default Template</strong></td>
<td>Wordpress Default Page template with sidebar, which displays any widgets placed in &quot;Page sidebar&quot; area.</td>
</tr>
<tr>
<td><strong>Contact Page</strong></td>
<td>Any optional sections added appear first, then contact page format will display. </td>
</tr>
<tr>
<td><strong>Full Width Page</strong></td>
<td>A full width page that does not have a sidebar. Any optional sections will appear first before the page content and title.</td>
</tr>
<tr>
<td><strong>Posts - Classic</strong></td>
<td>This template will feature posts and portfolio items of your choosing. This template is also used for a portfolio page.</td>
</tr>
<tr>
<td><strong>Posts - Grid</strong></td>
<td>Displays posts and portfolio items in a grid type formate. This template is also used for a portfolio page.</td>
</tr>
<tr>
<td><strong>Posts - Minimal</strong></td>
<td>Minimal style that displays selected posts and portfolio items. This template is also used for a portfolio page..</td>
</tr>
<tr>
<td><strong>Regular No Sidebar Page</strong></td>
<td>Displays content at the same width as the default template, but centered and without a sidebar.</td>
</tr>
<tr>
<td><strong>Sections-only Page</strong></td>
<td>No page content will appear, the page is composed only of the sections and section slides that have been added. </td>
</tr>
</tbody>
</table>
<h3 id="setting-up-the-homepage">Setting up the homepage</h3>
<ol>
<li><p>To set up the homepage you must create a new page. Navigate to <strong>Pages &gt; Add New</strong>. You can give this page any title and you do not have to include any content.</p>
</li>
<li><p>For the homepage you can have any template you&#39;d like. Select from list of template options listed in the Page Attributes section. 
To setup your website like the theme demo select the <strong>Posts - Grid</strong> template from the Page Attributes section. 
<img src="../wp-content/themes/struck/functions/includes/help/images/posts-grid.png" alt="Alt text"></p>
</li>
<li><p>Complete the optional <strong>Page Title Options</strong> and <strong>Post Display Options</strong>. Be sure to fill out the information on each tab. 
Once you&#39;ve filled out all the information for the default homepage, click <strong>Publish</strong>.</p>
</li>
<li><p>Now that you have created your new page which uses a homepage template, navigate to <strong>Settings &gt; Reading</strong> to configure the Front Page Displays setting.</p>
</li>
<li><p>Select the <strong>A static page</strong> radio button and choose the page you just created as your <strong>Front page</strong> and click <strong>Save</strong> to save the changes.
<img src="../wp-content/themes/struck/functions/includes/help/images/front-page-displays.png" alt="Alt text"></p>
</li>
</ol>
<blockquote>
<p>Your homepage is now created and can be viewed by visiting your root URL.</p>
</blockquote>
<h3 id="setting-up-the-blog">Setting up the blog</h3>
<ol>
<li><p>To set up the blog page you must create a new page. Navigate to <strong>Pages &gt; Add New</strong>. You can give this page any title and you do not have to include any content.</p>
</li>
<li><p>To setup the blog like the demo use the “default” template and the theme will take care of the rest. 
If you want to change the template of the blog page, Select from list of template options listed in the Page Attributes section.
<img src="../wp-content/themes/struck/functions/includes/help/images/default-template.png" alt="Alt text"></p>
</li>
<li><p>Now that you have created your new page, navigate to <strong>Settings &gt; Reading</strong> to configure the Front Page Displays setting.</p>
</li>
<li><p>Select the <strong>A static page</strong> radio button and choose the page you just created as your <strong>Posts page</strong> and click <strong>Save</strong> to save the changes.
<img src="../wp-content/themes/struck/functions/includes/help/images/front-page-displays.png" alt="Alt text"></p>
</li>
</ol>
<blockquote>
<p>Your blog page is now created and can be viewed by visiting the page you just published.</p>
</blockquote>
<h3 id="setting-up-the-contact-page">Setting up the contact page</h3>
<ol>
<li><p>To set up the contact page you must first be sure the &quot;Ninja Forms&quot; plugin is activated. Navigate to <strong>Forms &gt; Import/Export</strong>.</p>
</li>
<li><p>Click <strong>Choose a File</strong> and locate the <strong>Content Import</strong> folder in your theme download. Select <strong>Struck-Contact.nff</strong> and click <strong>Import Form</strong>.</p>
</li>
<li><p>To set up the contact page you must create a new page. Navigate to <strong>Pages &gt; Add New</strong>. You can give this page any title and you do not have to include any content.</p>
</li>
<li><p>Select the <strong>Contact Page</strong> template from the Page Attributes section. This ensures your page will have the Contact Page sidebar. 
<img src="../wp-content/themes/struck/functions/includes/help/images/contact-page-attribute.png" alt="Alt text"></p>
</li>
<li><p>On the right side bar under <strong>Append A Ninja Form</strong> select <strong>Contact</strong> from the dropdown. Once you’ve selected the form, click <strong>Publish</strong> or <strong>Update</strong> to save.
<img src="../wp-content/themes/struck/functions/includes/help/images/ninja-contact.png" alt="Alt text"></p>
</li>
<li><p>Now that you have created your new page which uses a contact form, make sure you have the correct information entered for your
form by visiting <strong>Forms &gt; All Forms &gt; Contact Form</strong>.</p>
</li>
</ol>
<blockquote>
<p>Your contact page is now created and can be viewed by visiting the page you just published</p>
</blockquote>
<h3 id="setting-up-the-portfolio-page">Setting up the portfolio page</h3>
<ol>
<li><p>To set up the portfolio page you must create a new page. Navigate to <strong>Pages &gt; Add New</strong>. You can give this page any title and you do not have to include any content.</p>
</li>
<li><p>Next navigate to the Page Attributes section on the right side of the page. To create a portfolio page you must assign the page one of the following templates: 
<strong>Posts - Classic</strong>, <strong>Posts - Grid</strong>, or <strong>Posts - Minimal</strong>.
<img src="../wp-content/themes/struck/functions/includes/help/images/posts-minimal-attributes.png" alt="Alt text"></p>
</li>
<li><p>Next scroll down below the page content and locate the section <strong>Post Display Options</strong>. To create your portfolio page select the option <strong>Portfolio Items</strong> under Posts to Display. </p>
</li>
</ol>
<p><strong>Note: You can also display blog posts, featured items (both posts and portfolio items set as featured), or hand-picked items on portfolio pages.</strong> 
<img src="../wp-content/themes/struck/functions/includes/help/images/post-display-options.png" alt="Alt text"></p>
<ol>
<li>Now you have created a portfolio page. To add portfolio items navigate to <strong>Portfolio &gt; Add New</strong> and begin creating your portfolio items. </li>
</ol>
<blockquote>
<p>Your portfolio page is now created and can be viewed by visiting the page you just published</p>
</blockquote>
<h2 id="menu-setup">Menu Setup</h2>
<p>Once you&#39;ve added your pages you&#39;ll need to setup your main navigation menus. There are two menu locations with this theme. The <strong>Top Nav Bar</strong> which appears at the top of each page and the <strong>Slideout Menu</strong> which is initially hidden but expands from the right sidebar when the menu icon is clicked. You can create a different menu to display in each of these locations.</p>
<ol>
<li><p>To set up the top bar or slideout menu mavigate to <strong>Appearance &gt; Menus</strong> and enter the name of your menu in the text box provided. Click <strong>Create Menu</strong> to begin.
<img src="../wp-content/themes/struck/functions/includes/help/images/create-menu.png" alt="Alt text"> </p>
</li>
<li><p>Add items to the menu by selecting from left column options panel. 
Add pages, link or categories by selecting the checkbox of the item and then clicking, <strong>Add to Menu</strong>.
<img src="../wp-content/themes/struck/functions/includes/help/images/adding-menu-items.png" alt="Alt text"></p>
</li>
<li><p>Once items have been added to a menu, drag and drop to put them in the desired order. 
Drag a menu item to the right a little to make it a submenu item and create a hierarchy. 
<img src="../wp-content/themes/struck/functions/includes/help/images/menu-structure.png" alt="Alt text"></p>
</li>
<li><p>After your menu has been created be sure to set the location. This can be done the following two ways: </p>
</li>
</ol>
<p>From the same Edit Menus tab, under <strong>Menu Settings</strong>, select the checkbox <strong>Top Nav Bar</strong> or <strong>Slideout Panel</strong> menu (or both, if you&#39;d like the menu you just created to show in both locations) for Theme Locations. 
Click <strong>Save Menu</strong> to save all recent changes made to your menu.
<img src="../wp-content/themes/struck/functions/includes/help/images/menu-location.png" alt="Alt text"></p>
<p>Or under the tab <strong>Manage Locations</strong>, select the menu you&#39;ve created from the dropdown list for  <strong>Top Nav Menu</strong> or <strong>Slideout Panel</strong> location. Or click <strong>Use New Menu</strong> to create a new menu for the desired location. Be sure to save any changes.
<img src="../wp-content/themes/struck/functions/includes/help/images/manage-locations.png" alt="Alt text"></p>
<blockquote>
<p>Your navigation menu(s) now created and can be viewed by visiting any page.</p>
</blockquote>
<h2 id="forms-setup">Forms Setup</h2>
<p>Create and manage custom forms for your widgets or pages.</p>
<h4 id="managing-the-contact-form">Managing the Contact Form</h4>
<p>To set up the Contact Form with your own information, visit <strong>Forms &gt; All Forms</strong> and then select the one called Contact Form. 
Make sure you&#39;ve already set up the Contact Page according to the steps outlined in Setting up the Contact Page under 
the <a href="#getting-started-page-setup">Page Setup</a> section of Theme Help.</p>
<p>Once you have opened the Contact Form click the <strong>Email &amp; Actions</strong> tab, then click <strong>Email Admin</strong>. In the <strong>To</strong> field, type in your email.
Feel free to explore additional options for forms by checking out the <a href="http://docs.ninjaforms.com/">Ninja Forms documentation</a>.</p>
<p>After completing the above as needed, click <strong>Save Form Settings</strong> to make sure the changes to your Contact Form have been saved.</p>
<h1 id="adding-content">Adding Content</h1>
<p>Once you&#39;ve completed the initial set up you&#39;ll need to add content to your site. The following passages instruct you on how to add posts, images, widgets and sections. 
As always, if you have any questions not covered in this help file please email our <a href="https://themewich.com/theme-support/">Support System</a>.</p>
<h2 id="sections">Sections</h2>
<p>Sections are flexible content areas you can use throughout your site. They can be added to any page, portfolio item, or post. 
Multiple sections can be added to the page and will appear one after the other before the page content.</p>
<p>There are four different types of Sections you can create, each with their own features and options. Below are explanations for each type of Section.</p>
<h3 id="text-and-image-section">Text and Image Section</h3>
<p>This is a pre-designed section that can display a background image, background video, or background color with an (optional) text overlay. 
You can add buttons and additional images that can link to lightboxes, other pages on your website, or elsewhere. 
<img src="../wp-content/themes/struck/functions/includes/help/images/section-tabs.png" alt="Alt text"></p>
<h4 id="title-tab">Title tab</h4>
<table>
<thead>
<tr>
<th>Option</th>
<th>Description</th>
</tr>
</thead>
<tbody>
<tr>
<td><strong>Subtitle</strong></td>
<td>Enter an optional subtitle, which appears smaller above the title. </td>
</tr>
<tr>
<td><strong>Title</strong></td>
<td>Enter an optional title for your section.</td>
</tr>
<tr>
<td><strong>Horizontal Layout</strong></td>
<td>Choose whether the title(s) should be left, center, or right. Any image you add will display opposite of the text. </td>
</tr>
<tr>
<td><strong>Vertical Alignment</strong></td>
<td>Choose the vertical alignment for your titles from top, middle, or bottom.</td>
</tr>
</tbody>
</table>
<h4 id="content-tab">Content tab</h4>
<table>
<thead>
<tr>
<th>Option</th>
<th>Description</th>
</tr>
</thead>
<tbody>
<tr>
<td><strong>Content</strong></td>
<td>Enter optional content for your section which appears below the title(s). The content can be edited using the same options as the WYSIWYG editor.</td>
</tr>
</tbody>
</table>
<h4 id="button-tab">Button tab</h4>
<p>Add an optional button, link, or play icon that links to a specified destination. </p>
<table>
<thead>
<tr>
<th>Option</th>
<th>Description</th>
</tr>
</thead>
<tbody>
<tr>
<td><strong>Button Style</strong></td>
<td>Choose between a regular button, an underlined link, or a play icon for your button styles.</td>
</tr>
<tr>
<td><strong>Button Text</strong></td>
<td>Enter what you&#39;d like your button text to be, such as &quot;Learn More&quot; or &quot;Our Projects&quot;</td>
</tr>
<tr>
<td><strong>Button Link</strong></td>
<td>Select where the button will link to. The button can link to the next section, a custom URL, an already created page or post, or have the link open in a lightbox (such as a video or image).</td>
</tr>
</tbody>
</table>
<h4 id="image-tab">Image tab</h4>
<p>Add an optional image to your section. It will display opposite the title alignment set in the Title tab. Note: This is not a background image. </p>
<table>
<thead>
<tr>
<th>Option</th>
<th>Description</th>
</tr>
</thead>
<tbody>
<tr>
<td><strong>Image</strong></td>
<td>Add an image or upload an existing one from your media library, it will align based on the settings chosen in the Title tab. Note: This is not the background image. </td>
</tr>
<tr>
<td><strong>Image Link</strong></td>
<td>Select whether the image should link to the full size in a lightbox, to a custom URL, or choose for the image not to be a link. </td>
</tr>
</tbody>
</table>
<h4 id="background-tab">Background tab</h4>
<table>
<thead>
<tr>
<th>Option</th>
<th>Description</th>
</tr>
</thead>
<tbody>
<tr>
<td><strong>Text Color</strong></td>
<td>Depending on your background color/image choose whether the section text should appear white or black. </td>
</tr>
<tr>
<td><strong>Background</strong></td>
<td>Select a color, an image, or have a video for the section background.</td>
</tr>
<tr>
<td><strong>Background Color</strong></td>
<td>For Color Background only. Use the selector to pick the color of your background.</td>
</tr>
<tr>
<td><strong>Overlay Color</strong></td>
<td>For Video and Image backgrounds only. Choose a color for the overlay to make sure the text above it is readable. </td>
</tr>
<tr>
<td><strong>Overlay Opacity</strong></td>
<td>Enter a number to determine the opacity. Higher numbers will result in a more solid overlay. Lower numbers create a more translucent overlay.</td>
</tr>
<tr>
<td><strong>Background Image</strong></td>
<td>Upload an image or select an existing one from your media gallery. </td>
</tr>
<tr>
<td><strong>Video Type</strong></td>
<td>Select between youtube or self hosted. Note: Youtube videos are a great option for shared hosting as they will use no bandwidth on your server. </td>
</tr>
<tr>
<td><strong>Youtube URL</strong></td>
<td>Enter the Youtube URL. Be sure to include http://</td>
</tr>
<tr>
<td><strong>Video Mp4 URL</strong></td>
<td>Self Hosted only. Both of these formats are needed as different HTML5 enabled browsers support different formats.</td>
</tr>
<tr>
<td><strong>Video WebM URL</strong></td>
<td>Self Hosted only. Both of these formats are needed as different HTML5 enabled browsers support different formats.</td>
</tr>
<tr>
<td><strong>Section Caption</strong></td>
<td>A caption for your image or video that will appear in the bottom right corner in the text color determined above. </td>
</tr>
</tbody>
</table>
<h4 id="extras-tab">Extras tab</h4>
<table>
<thead>
<tr>
<th>Option</th>
<th>Description</th>
</tr>
</thead>
<tbody>
<tr>
<td><strong>Scroll Indicator Arrow</strong></td>
<td>Turn on/off the scroll indicator arrow that guides to the next section or page content below. </td>
</tr>
<tr>
<td><strong>Animations</strong></td>
<td>Turn on/off the animation of the title/button/content when scrolling between sections.</td>
</tr>
</tbody>
</table>
<h3 id="text-and-image-slides">Text and Image Slides</h3>
<p>Create multiple &quot;Text and Image&quot; sections with the options mentioned above and arrange them into a slide show.  The slides will appear in the given order by clicking left or right on the front end of your website. Slides wrap in a continuous loop, rather than end with the last slide of the section. </p>
<p>Add a new slide by clicking <strong>Add Slide</strong> or the <strong>+</strong> sign. To delete a slide click the <strong>-</strong> sign of that given slide. Reorder the slides by clicking on the left side gray numbered area and dragging the slides into the order you want. The number indicates the first slide that will appear for the section. The additional slides following the first slide will appear to the right of the first slide.</p>
<p><img src="../wp-content/themes/struck/functions/includes/help/images/section-slides.png" alt="Alt text"></p>
<blockquote>
<p>Note: You need at least two (2) slides for the slide section to function properly.</p>
</blockquote>
<h3 id="custom-section">Custom Section</h3>
<p>A custom section is more flexible and allows you to add columns and other content to create unique sections. 
These sections still have many of the same options as the text and image section, but you can design the section how you like. 
Use the guidelines mentioned above in <a href="#adding-content-sections-types-of-sections">Text and Image</a> section to fill out the tabs for your custom section.<br><img src="../wp-content/themes/struck/functions/includes/help/images/custom-section.png" alt="Alt text"></p>
<h3 id="custom-slides">Custom Slides</h3>
<p>Custom slides follow the same format as custom sections, a flexible content section with background image, video, or color. 
Add, delete, and reorder slides according to the directions listed above under Text and Image Slides.
<img src="../wp-content/themes/struck/functions/includes/help/images/custom-slides.png" alt="Alt text"></p>
<h3 id="section-options">Section Options</h3>
<table>
<thead>
<tr>
<th>Option</th>
<th>Description</th>
</tr>
</thead>
<tbody>
<tr>
<td><strong>AutoScroll</strong></td>
<td>Turn off/on the auto scrolling feature for instead of regular scrolling for these sections.</td>
</tr>
<tr>
<td><strong>Section Animations</strong></td>
<td>Choose whether you want animations when the visitor enters the sections.</td>
</tr>
</tbody>
</table>
<h2 id="adding-sections">Adding Sections</h2>
<p>Add a new page, post, or portfolio item or navigate to an existing one where you&#39;d like a section. At the top of the page 
you will need to enter a title for the post, portfolio item, or page. The title will appear below any sections you add, 
any content entered in the WYSIWYG editor will also appear below the sections. </p>
<ol>
<li><p>To add the first section select <strong>Add Section</strong> and then choose the type of section you&#39;d like to add. 
<img src="../wp-content/themes/struck/functions/includes/help/images/add-section.png" alt="Alt text"></p>
</li>
<li><p>Begin customizing your section by filling out the required and optional fields listed below each tab. 
Be sure to visit each tab. Visit <a href="#adding-content-sections-text-and-image-section">Sections</a> and 
<a href="#adding-content-sections-section-options">Section Options</a> for more information on the specific fields. 
<img src="../wp-content/themes/struck/functions/includes/help/images/section-tabs.png" alt="Alt text"></p>
</li>
<li><p>Add more sections by clicking the <strong>+</strong> sign or <strong>Add Section</strong> button. Delete sections you no longer want by clicking the <strong>-</strong> sign of that section in the top right corner. 
<img src="../wp-content/themes/struck/functions/includes/help/images/adding-more-sections.png" alt="Alt text"> 
If you have multiple sections you can change their order by dragging and dropping them into a new order. 
Simply hover over the gray section number and title area and click to drag the section to its new location. 
The numbers will indicate the order your sections will appear in on the front end.</p>
</li>
</ol>
<p>Save or publish your changes by clicking <strong>Save Draft</strong>, <strong>Publish</strong>, or <strong>Update</strong> in the top right corner of the page. 
<img src="../wp-content/themes/struck/functions/includes/help/images/publish-save-draft.png" alt="Alt text"> </p>
<h2 id="adding-blog-posts">Adding Blog Posts</h2>
<p>Be sure you&#39;ve set up your blog according to the instructions highlighted in <a href="#getting-started-page-setup-setting-up-the-blog">Setting up the Blog</a>. </p>
<p>To add a new blog post navigate to <strong>Posts &gt; Add New</strong>. Enter the title, an optional intro title, post content, assign various categories, 
<a href="#adding-content-adding-sections">add sections</a>, and upload /insert images. 
Once you&#39;ve created a new post be sure to <strong>Save Draft</strong> or <strong>Publish</strong>, in order to save the changes.</p>
<h4 id="post-title-options">Post Title Options</h4>
<p>Write an optional <strong>intro text</strong> for your post. It will appear before the post content in a larger font and be given h2 tags for SEO purposes. 
<img src="../wp-content/themes/struck/functions/includes/help/images/post-title-options.png" alt="Alt text"></p>
<h4 id="featuring-a-post">Featuring a Post</h4>
<p>In the top right corner of the edit post page, under <strong>Featured</strong> you can select if you want to feature your post. 
Once you&#39;ve selected posts to be featured, navigate to <strong>Featured Order</strong> from your main navigation menu and drop 
and drag the posts in the order you&#39;d like them to appear.</p>
<p>Featured Posts appear on pages with special <strong>Posts</strong> templates that show featured posts. 
Visit <a href="#customization-customizing-pages-posts-template-options">Posts Templates</a> to learn more about using templates 
to feature posts. </p>
<p><img src="../wp-content/themes/struck/functions/includes/help/images/featured-post.png" alt="Alt text"></p>
<h4 id="categories">Categories</h4>
<p>Categories appear above the post title on the single post item page. Clicking on the category will open a 
blog archive showing all posts assigned with that same category. 
<img src="../wp-content/themes/struck/functions/includes/help/images/adding-categories.png" alt="Alt text"></p>
<h4 id="filters">Filters</h4>
<p>Filters will appear on the front end of your website on the main blog index page. It allows multiple blog posts and 
portfolio items to be sorted via the given filters. Filters are optional and will not appear if you do not assign 
any to your blog posts. 
<img src="../wp-content/themes/struck/functions/includes/help/images/blogfilters-frontend.png" alt="Alt text"> </p>
<p>Add filters to your portfolio items under the right sidebar section <strong>Filter</strong>. 
<img src="../wp-content/themes/struck/functions/includes/help/images/add-filter.png" alt="Alt text"></p>
<h4 id="featured-image">Featured Image</h4>
<p>Add an optional featured image for your blog post. The image will only appear on the main blog index page. 
This gives you the flexibility to display a different image on the blog index than the images shown in the blog&#39;s 
content or any added sections.
<img src="../wp-content/themes/struck/functions/includes/help/images/set-featured-image.png" alt="Alt text"></p>
<h4 id="append-a-ninja-form">Append a Ninja Form</h4>
<p>Add an optional form to your blog post by selecting from the dropdown one you&#39;ve already created. 
The form will appear below the sections and below the post content. See <a href="#getting-started-forms-setup">Forms setup</a> for 
information on creating forms. 
<img src="../wp-content/themes/struck/functions/includes/help/images/append-ninja.png" alt="Alt text"></p>
<h2 id="adding-portfolio-items-">Adding Portfolio Items </h2>
<p>Before adding portfolio items be sure you set up the portfolio page according to the instructions explained in the 
<a href="#getting-started-page-setup-setting-up-the-portfolio-page">Setting up the Portfolio Page Section</a>.</p>
<p>To create a new portfolio item navigate to <strong>Portfolio &gt; Add New</strong>. Enter the title, post content, 
<a href="#adding-content-adding-sections">add sections</a>, and insert images into the content area. Once you&#39;ve created a new post be sure to <strong>Save Draft</strong> or <strong>Publish</strong>, in order to save the changes</p>
<h4 id="portfolio-title-options">Portfolio Title Options</h4>
<table>
<thead>
<tr>
<th>Option</th>
<th>Description</th>
</tr>
</thead>
<tbody>
<tr>
<td><strong>Show Title</strong></td>
<td>Turn the title on or off for the portfolio item. This is useful if you only want to have sections for your portfolio item.</td>
</tr>
<tr>
<td><strong>Subheadline</strong></td>
<td>Add an optional Subheadline that will appear above the title</td>
</tr>
<tr>
<td><strong>Title Area Background Image</strong></td>
<td>Add an optional background image that will appear behind the title area of the portfolio item</td>
</tr>
<tr>
<td><strong>Intro Text</strong></td>
<td>Add optional intro text that will appear above the portfolio item content. </td>
</tr>
</tbody>
</table>
<h4 id="featuring-a-portfolio-item">Featuring a Portfolio Item</h4>
<p>In the top right corner of the edit portfolio item page, under <strong>Featured</strong> you can select if you want to feature your
post. Once you&#39;ve selected posts to be featured, navigate to <strong>Featured Order</strong> from your main navigation menu and 
drop and drag the post and portfolio items in the order you&#39;d like them to appear.</p>
<p>Featured Portfolio Items appear on pages with special <strong>Posts</strong> templates. Visit 
<a href="#customization-customizing-pages-posts-template-options">Posts Templates</a> to learn more about using templates to 
feature posts and portfolio items. </p>
<h4 id="filters">Filters</h4>
<p>Filters will appear on the front end of your website on the main portfolio index page when assigned. It allows 
multiple posts and portfolio items to be sorted via the given filters. 
<img src="../wp-content/themes/struck/functions/includes/help/images/filters-frontend.png" alt="Alt text"></p>
<p>Add filters to your portfolio items under the right sidebar section <strong>Filter</strong>. 
<img src="../wp-content/themes/struck/functions/includes/help/images/add-filter.png" alt="Alt text"></p>
<h4 id="featured-image">Featured Image</h4>
<p>Add an optional featured image for your portfolio item. The image will only appear on the main portfolio index page. 
This gives you the flexibility to display a different image on the portfolio index than the images shown in the
 portfolio item&#39;s content or portfolio sections.
<img src="../wp-content/themes/struck/functions/includes/help/images/set-featured-image.png" alt="Alt text"></p>
<h2 id="shortcodes">Shortcodes</h2>
<p>The theme comes with the Themewich Shortcodes plugin, which incldues a number of shortcodes allowing you to add styled 
content to your site with little effort. Shortcodes can embed files or create objects that would normally require lots 
of complicated code in just one line.</p>
<p>Conveniently, the available shortcodes have been included as buttons in the WYSIWYG content editor. When creating a page
or post, click the desired shortcode icon to insert your code. Simply hover over the buttons to see what shortcodes 
you’ll be inserting.
<img src="../wp-content/themes/struck/functions/includes/help/images/shortcode-location.png" alt="Alt text"></p>
<blockquote>
<p>Be sure you have installed the Themewich Shortcode plugin by visiting the <a href="#getting-started-plugin-install">Theme Plugins Install</a> section of the Theme Help.</p>
</blockquote>
<h3 id="accordion-shortcode">Accordion Shortcode</h3>
<p>Add accordions your theme, a clickable region where only one section can be opened at a time. Add to any page, section or widget area. The accordion section MUST be wrapped in an accordion shortcode.</p>
<table>
<thead>
<tr>
<th>Parameters:</th>
<th>Options:</th>
</tr>
</thead>
<tbody>
<tr>
<td><strong>title</strong></td>
<td>Title of the accordion link</td>
</tr>
<tr>
<td><strong>class</strong></td>
<td>Give it a class for advanced styling purposes</td>
</tr>
</tbody>
</table>
<p>Example:</p>
<pre><code class="lang-html">[accordion]
[accordion_section title=&quot;Title&quot;]Accordion Section Content Here.[/accordion_section]
[accordion_section title=&quot;Title&quot;]Accordion Section Content Here.[/accordion_section]
[accordion_section title=&quot;Title&quot;]Accordion Section Content Here.[/accordion_section]
[/accordion]</code></pre>
<h3 id="button-shortcodes">Button Shortcodes</h3>
<p>These button shortcodes allows you to insert a button into your content and can be linked to the destination URL of 
your choice.</p>
<table>
<thead>
<tr>
<th>Parameters:</th>
<th>Options:</th>
</tr>
</thead>
<tbody>
<tr>
<td><strong>size</strong></td>
<td>Select the size of the button from <code>small</code>,<code>medium</code>,<code>large</code>.</td>
</tr>
<tr>
<td><strong>background</strong></td>
<td>Enter an optional background color for the button.</td>
</tr>
<tr>
<td><strong>color</strong></td>
<td>Select the color for the button, <code>gray</code>,<code>blue</code>,<code>red</code> etc. When left blank it uses the theme color.</td>
</tr>
<tr>
<td><strong>target</strong></td>
<td>The button link <code>_blank</code> opens in a new window, <code>_self</code> opens in the same window.</td>
</tr>
<tr>
<td><strong>link</strong></td>
<td>Enter the button link between.</td>
</tr>
<tr>
<td><strong>class</strong></td>
<td>Give it a class for advanced styling purposes</td>
</tr>
</tbody>
</table>
<p>Example:</p>
<pre><code class="lang-html">[tw-button size=&quot;large&quot; background=&quot;#000000&quot; color=&quot;gray&quot; target=&quot;_blank&quot; link=&quot;#&quot;]Button[/tw-button]
[tw-button size=&quot;small&quot; background=&quot;#000000&quot; color=&quot;&quot; target=&quot;_self&quot; link=&quot;#&quot;]Submit[/tw-button]</code></pre>
<h3 id="column-shortcodes">Column Shortcodes</h3>
<p>Column shortcodes give you the versatility of creating variable layouts on a page. You can break paragraphs, images, 
and even other shortcodes into columns of your chosing. Columns are also responsive, and will automatically format 
themselves for mobile viewing.
<strong>Note: You must end each set of columns with a parameter position of last.</strong></p>
<p>Example:</p>
<pre><code class="lang-html">[tw-column width=&quot;one-half&quot;] Insert you content here [/tw-column]
[tw-column width=&quot;one-half&quot; position=&quot;last&quot;] Insert you content here [/tw-column]</code></pre>
<table>
<thead>
<tr>
<th>Parameters:</th>
<th>Options:</th>
</tr>
</thead>
<tbody>
<tr>
<td><strong>width</strong></td>
<td>The width of the columns, such as one-half,one-third,one-fifth etc.</td>
</tr>
<tr>
<td><strong>position</strong></td>
<td>Enter a position of last, only for the final column in the set, see example above.</td>
</tr>
<tr>
<td><strong>class</strong></td>
<td>Give it a class for advanced styling purposes</td>
</tr>
</tbody>
</table>
<p>Columns go in halfs, thirds, fourths, fifths and sixths. You can mix and match column widths to create your own layouts. 
You just need to make sure the column widths add up to exactly one, and the last column of the row has 
<code>position=&quot;last&quot;</code>.</p>
<p><strong>3 Column Example:</strong></p>
<pre><code class="lang-html">[tw-column width=&quot;one-third&quot;]content[one_third]
[tw-column width=&quot;one-third&quot;]content[one_third]
[tw-column width=&quot;one-third&quot; position=&quot;last&quot;]content[/tw-column]</code></pre>
<p><strong>4 Column Example:</strong></p>
<pre><code class="lang-html">[tw-column width=&quot;one_fourth&quot;]content[/tw-column]
[tw-column width=&quot;one_fourth&quot;]content[/tw-column]
[tw-column width=&quot;one_fourth&quot;]content[/tw-column]
[tw-column width=&quot;one-fourth&quot; position=&quot;last&quot;]content[/tw-column]</code></pre>
<h3 id="divider-shortcode">Divider Shortcode</h3>
<p>This shortcode lets you place a title divider anywhere. The divider will automatically match the width of it’s 
container. For instance, if you want a half-width divider, place it inside a one half column shortcode.</p>
<table>
<thead>
<tr>
<th>Parameters:</th>
<th>Options:</th>
</tr>
</thead>
<tbody>
<tr>
<td><strong>class</strong></td>
<td>Give it a class for advanced styling purposes</td>
</tr>
</tbody>
</table>
<p>Example: </p>
<pre><code class="lang-html">[divider]The Title Here[/divider]</code></pre>
<h3 id="lightbox-shortcode">Lightbox Shortcode</h3>
<p>A lightbox shortcode creates a link to a lightbox. The contents of the lightbox popup are indicated with the 
link=&quot;<a href="http://www.example.com">http://www.example.com</a>&quot;.</p>
<table>
<thead>
<tr>
<th>Parameters:</th>
<th>Options:</th>
</tr>
</thead>
<tbody>
<tr>
<td><strong>link</strong></td>
<td>URL of the lightbox image or video </td>
</tr>
<tr>
<td><strong>class</strong></td>
<td>Give it a class for advanced styling purposes</td>
</tr>
</tbody>
</table>
<p>Example:</p>
<pre><code class="lang-html">[lightbox link=&quot;http://www.example.com/image.jpg&quot;]Link text or image here.[/lightbox]</code></pre>
<p>Inline content Follows this form: </p>
<pre><code class="lang-html">[lightbox link=&quot;#inline-content&quot;]Link Text[/lightbox]</code></pre>
<h3 id="posts-shortcode">Posts Shortcode</h3>
<p>The posts shortcode allows you to display recent posts.</p>
<table>
<thead>
<tr>
<th>Parameters:</th>
<th>Options:</th>
</tr>
</thead>
<tbody>
<tr>
<td><strong>title</strong></td>
<td>Title displayed above posts (optional)</td>
</tr>
<tr>
<td><strong>number</strong></td>
<td>Number of posts</td>
</tr>
<tr>
<td><strong>category</strong></td>
<td>Category to pull posts from (optional)</td>
</tr>
<tr>
<td><strong>content</strong></td>
<td>Display the content below the title with a read more button (optional)</td>
</tr>
<tr>
<td><strong>type</strong></td>
<td>Post type to get posts from (i.e. &quot;portfolio&quot; for portfolio posts)</td>
</tr>
<tr>
<td><strong>class</strong></td>
<td>Give it a class for advanced styling purposes</td>
</tr>
</tbody>
</table>
<p>Example:</p>
<pre><code class="lang-html">[tw-posts title=&quot;Title&quot; number=&quot;4&quot; category=&quot;reviews&quot; content=&quot;yes&quot; type=&quot;&quot;][/tw-posts]</code></pre>
<h3 id="pricing-table-shortcode">Pricing Table Shortcode</h3>
<p>The pricing table shortcode allows you to add pricing tables with a variety of layouts and options. A list can be added inside the table. List items are a great way to showcase features. <code>[pricing]</code> shortcodes must be wrapped in a <code>[pricing_table]</code> shortcode.</p>
<table>
<thead>
<tr>
<th>Parameters:</th>
<th>Options:</th>
</tr>
</thead>
<tbody>
<tr>
<td><strong>size</strong></td>
<td>Column size (i.e. one-half, one-third, or one-fourth)</td>
</tr>
<tr>
<td><strong>featured</strong></td>
<td>Yes makes this shortcode box highlighted. No makes it grey.</td>
</tr>
<tr>
<td><strong>plan</strong></td>
<td>Tiny text above the price</td>
</tr>
<tr>
<td><strong>cost</strong></td>
<td>Large price in the shortcode box</td>
</tr>
<tr>
<td><strong>button_url</strong></td>
<td>URL for the button to link to</td>
</tr>
<tr>
<td><strong>button_text</strong></td>
<td>Text inside the button</td>
</tr>
<tr>
<td><strong>button_target</strong></td>
<td>&quot;self&quot; for the same window, &quot;blank&quot; for a new window</td>
</tr>
<tr>
<td><strong>class</strong></td>
<td>Give it a class for advanced styling purposes</td>
</tr>
</tbody>
</table>
<p>Example:</p>
<pre><code class="lang-html">[pricing_table]
  [pricing size=&quot;one-half&quot; featured=&quot;no&quot; plan=&quot;Silver&quot; cost=&quot;$10&quot; per=&quot;month&quot; button_url=&quot;#&quot; button_text=&quot;Purchase&quot; button_target=&quot;self&quot;]
    &lt;ul&gt;
      &lt;li&gt;Feature&lt;/li&gt;
      &lt;li&gt;Feature&lt;/li&gt;
    &lt;/ul&gt;
  [/pricing]
  [pricing size=&quot;one-half&quot; position=&quot;last&quot; featured=&quot;yes&quot; plan=&quot;Gold&quot; cost=&quot;$10&quot; per=&quot;month&quot;
  button_url=&quot;#&quot; button_text=&quot;Purchase&quot; button_target=&quot;self&quot;]
    &lt;ul&gt;
      &lt;li&gt;Feature&lt;/li&gt;
      &lt;li&gt;Feature&lt;/li&gt;
    &lt;/ul&gt;
  [/pricing]
[/pricing_table]</code></pre>
<h4 id="social-icon-shortcode">Social Icon Shortcode</h4>
<p>Add elegant icon links to your favorite social networks.</p>
<table>
<thead>
<tr>
<th>Parameters:</th>
<th>Options:</th>
</tr>
</thead>
<tbody>
<tr>
<td><strong>icon</strong></td>
<td>&quot;twitter&quot;, &quot;facebook&quot;, &quot;google&quot;,&quot;dribbble&quot;, &quot;linkedin&quot; , &quot;pinterest&quot;, and &quot;rss&quot;</td>
</tr>
<tr>
<td><strong>target</strong></td>
<td>&quot;blank&quot; - Opens in a new window. &quot;self&quot; - Opens in the current window</td>
</tr>
<tr>
<td><strong>title</strong></td>
<td>For hover and SEO purposes. Examples: &quot;Follow Us&quot;, &quot;Pin it&quot; or &quot;Like on Facebook&quot;</td>
</tr>
<tr>
<td><strong>url</strong></td>
<td>Be sure this begins with http://</td>
</tr>
<tr>
<td><strong>class</strong></td>
<td>Give a class to your social icon for advanced styling purposes</td>
</tr>
</tbody>
</table>
<p>Example:</p>
<pre><code class="lang-html">[social icon=&quot;twitter&quot; url=&quot;http://twitter.com/#&quot; title=&quot;Follow Us&quot; target=&quot;blank&quot;][/social]</code></pre>
<h4 id="tabs-shortcode">Tabs Shortcode</h4>
<p>The featured tabs shortcode allows you to insert content into multiple featured tabs. The tabs can be viewed in by the user. You can include any number of tabs but you must ensure the number of titles and tabs match.</p>
<table>
<thead>
<tr>
<th>Parameters:</th>
<th>Options:</th>
</tr>
</thead>
<tbody>
<tr>
<td><strong>tab{number}</strong></td>
<td>Title for each tab</td>
</tr>
<tr>
<td><strong>class</strong></td>
<td>Give a class to your social icon for advanced styling purposes</td>
</tr>
</tbody>
</table>
<p>Example:</p>
<pre><code class="lang-html">[tabs tab1=&quot;Tab 1 Title&quot; tab2=&quot;Tab 2 Title&quot; tab3=&quot;Tab 3 Title&quot;]
[tab]Tab 1 Content[/tab]
[tab]Tab 2 Content[/tab]
[tab]Tab 3 Content[/tab]
[/tabs]</code></pre>
<h4 id="toggle-shortcode">Toggle Shortcode</h4>
<p>Add toggles to your theme, a clickable region where mulitple sections can be opened at a time. Add to any page, section or 
widget area.</p>
<table>
<thead>
<tr>
<th>Parameters:</th>
<th>Options:</th>
</tr>
</thead>
<tbody>
<tr>
<td><strong>title</strong></td>
<td>Title of the toggle link</td>
</tr>
<tr>
<td><strong>class</strong></td>
<td>Give it a class for advanced styling purposes</td>
</tr>
</tbody>
</table>
<p>Example:</p>
<pre><code class="lang-html">[toggle title=&quot;title&quot;]Toggle Content Here.[/toggle]
[toggle title=&quot;title&quot;]Toggle Content Here.[/toggle]
[toggle title=&quot;title&quot;]Toggle Content Here.[/toggle]</code></pre>
<h4 id="paralax-shortcode">Paralax Shortcode</h4>
<p>A parallax image is the full width of the page and remains fixed on the page while the rest of the content scrolls above
and below it. Note: A parallax image should be at least 1500px wide to avoid excessive pixelation. Parallax will only 
work on pages without sidebars.</p>
<table>
<thead>
<tr>
<th>Parameters:</th>
<th>Options:</th>
</tr>
</thead>
<tbody>
<tr>
<td><strong>Background Image URL</strong></td>
<td>Enter the url of the image you&#39;d like to appear as your paralax</td>
</tr>
<tr>
<td><strong>Background Color</strong></td>
<td>Enter an optional hex color value for a background color to overlay the image</td>
</tr>
<tr>
<td><strong>Image Opacity</strong></td>
<td>Enter a numbered value to make the background color more opac. Higher value is less transparent. </td>
</tr>
<tr>
<td><strong>Parallax Link</strong></td>
<td>Enter a link for where you&#39;d like the image to go to. </td>
</tr>
<tr>
<td><strong>Link Target</strong></td>
<td>Decide if the link should open in a new window or the same window.</td>
</tr>
<tr>
<td><strong>Open Link in lightbox?</strong></td>
<td>Decide if the image should open in a lightbox. </td>
</tr>
<tr>
<td><strong>Headline</strong></td>
<td>Enter an optional headline to appear overtop the image</td>
</tr>
<tr>
<td><strong>Subheadline</strong></td>
<td>Enter an optional subheadline that will appear below the headline.</td>
</tr>
</tbody>
</table>
<p>Example:</p>
<pre><code class="lang-html">[tw-parallax image=&quot;http://struck/wp-content/uploads/2015/yourimage.jpg&quot; target=&quot;blank&quot; ]

Headline

Subheadline

[/tw-parallax]</code></pre>
<h2 id="widgets">Widgets</h2>
<p>There are three custom Widgets along with the standard Widgets included with WordPress.</p>
<h4 id="adding-widgets">Adding Widgets</h4>
<p>The widgets can be found under <strong>Appearance &gt; Widgets</strong>. Widgets can be placed in the footer, and various sidebars on 
pages and sections. To activate a Widget in a sidebar or footer simply drag it to the desired area, or click the Widget, 
select a destination and click <strong>Add Widget</strong>.
<img src="../wp-content/themes/struck/functions/includes/help/images/widget-example.png" alt="Alt text"></p>
<p>Arrange the order of Widgets by clicking and dragging them it into place. You can customize the Widget features by 
clicking the down arrow in the upper right corner. Be sure to save any changes made to the Widget by clicking <strong>Save</strong>. 
To remove the Widget, click <strong>Delete</strong>.</p>
<p>Below are explanations for the Custom Widgets that are included with Struck.</p>
<h3 id="custom-news-widget">Custom News Widget</h3>
<p>A Widget that allows you to display the most recent blog posts from a specific category.</p>
<table>
<thead>
<tr>
<th>Option</th>
<th>Description</th>
</tr>
</thead>
<tbody>
<tr>
<td><strong>Title</strong></td>
<td>You can an optional title for the Widget.</td>
</tr>
<tr>
<td><strong>Number of Posts</strong></td>
<td>Enter the number of posts you&#39;d like to display, it must be at least 1 and less than 10.</td>
</tr>
<tr>
<td><strong>Choose a Category</strong></td>
<td>Select a specific category in which the posts are pulled</td>
</tr>
</tbody>
</table>
<h3 id="custom-menu-widget">Custom Menu Widget</h3>
<p>A Widget that allows you to display custom menus. Visit <a href="#getting-started-menu-setup">Menu Setup</a> for instructions on creating a custom menu. </p>
<table>
<thead>
<tr>
<th>Option</th>
<th>Description</th>
</tr>
</thead>
<tbody>
<tr>
<td><strong>Title</strong></td>
<td>You can an optional title for the Widget.</td>
</tr>
<tr>
<td><strong>Select Menu</strong></td>
<td>Select from your custom menus which one you&#39;d like to display. </td>
</tr>
</tbody>
</table>
<h3 id="custom-recent-portfolio-items-widget">Custom Recent Portfolio Items Widget</h3>
<p>A widget that displays small project thumbnails from recent portfolio items.</p>
<table>
<thead>
<tr>
<th>Option</th>
<th>Description</th>
</tr>
</thead>
<tbody>
<tr>
<td><strong>Projects Title</strong></td>
<td>You can an optional title for the Widget.</td>
</tr>
<tr>
<td><strong>Number of Posts</strong></td>
<td>Enter the number of posts you&#39;d like to display, it must be at least 1 and less than 10.</td>
</tr>
</tbody>
</table>
<h3 id="ninja-forms-widget">Ninja Forms Widget</h3>
<p>A Widget that allows you to display custom forms such as a contact form. See the passage about creating <a href="#getting-started-forms-setup">Custom Forms</a> for more information.</p>
<table>
<thead>
<tr>
<th>Option</th>
<th>Description</th>
</tr>
</thead>
<tbody>
<tr>
<td><strong>Display Title</strong></td>
<td>You can display the title for the Widget.</td>
</tr>
<tr>
<td><strong>Forms Dropdown</strong></td>
<td>Select the form you&#39;d like to display in the Widget.</td>
</tr>
</tbody>
</table>
<h1 id="customization-">Customization </h1>
<p>Struck is equipped with loads of features that allow you to customize your website. Use the following passages as a 
guide and if you need any help along the way check out our <a href="https://themewich.com/theme-support/">Support System</a>.</p>
<h2 id="customizing-pages">Customizing Pages</h2>
<p>The theme is equipped with several <a href="#getting-started-page-setup-page-templates">page templates</a> that allow for 
flexibility of style and function. All the page templates have <strong>Featured Image</strong> and <strong>Page Title</strong> options located 
below the page content. Certain templates (<strong>Posts - Minimal</strong>, <strong>Posts - Classic</strong>, and <strong>Posts - Grid</strong>) have 
additional options that allow for even more flexibility. </p>
<h3 id="page-template-options">Page Template Options</h3>
<p>All Page templates have the following options listed below the content area, which allows you to customize the title 
section of the page. </p>
<h4 id="featured-image">Featured Image</h4>
<p>The featured image will appear behind the title and subtitle of the page. Remember, if you added any sections, those 
will appear before your page title and content.</p>
<h4 id="page-title-options">Page Title Options</h4>
<table>
<thead>
<tr>
<th>Option</th>
<th>Description</th>
</tr>
</thead>
<tbody>
<tr>
<td><strong>Title Alignment</strong></td>
<td>Adjust the title so it appears to the left or in the center. </td>
</tr>
<tr>
<td><strong>Subtitle</strong></td>
<td>Add an optional Subtitle that will appear below the title</td>
</tr>
<tr>
<td><strong>Title Area Background Color</strong></td>
<td>Select the background color that will appear behind the title area of the page. This acts as an overlay if you set a featured image as well.</td>
</tr>
<tr>
<td><strong>Title Area Background Color Opacity</strong></td>
<td>Change the opacity of the background color. If you set a featured image be sure to adjust the opacity of the background color so it&#39;s visible. </td>
</tr>
<tr>
<td><strong>Title Area Text Color</strong></td>
<td>Change the color of the text so that it will be visible against the background color/featured image. </td>
</tr>
</tbody>
</table>
<h3 id="posts-template-options">Posts Template Options</h3>
<p><strong>Posts - Minimal</strong>, <strong>Posts - Classic</strong>, and <strong>Posts - Grid</strong> templates allow you to display posts and portfolio items 
in a certain style on the page (such as a grid format, for example). With Posts - Templates you can showcase multiple 
posts or portfolio items in one place (such as the Homepage, for example).</p>
<table>
<thead>
<tr>
<th>Post Display Options</th>
<th>Description</th>
</tr>
</thead>
<tbody>
<tr>
<td><strong>Posts to Display</strong></td>
<td>Select which type of posts you&#39;d like to display on the page. Featured Items are both Posts and Portfolio items that were set as featured. </td>
</tr>
<tr>
<td><strong>Number of Posts Per Page</strong></td>
<td>Enter the number of Posts or Portfolio items you&#39;d like to display on the page.  </td>
</tr>
<tr>
<td><strong>Filter</strong></td>
<td>Turn this on if you&#39;d like any filters that have been set to appear on the page for sorting. </td>
</tr>
</tbody>
</table>
<h4 id="posts-classic">Posts - Classic</h4>
<table>
<thead>
<tr>
<th>Options</th>
<th>Description</th>
</tr>
</thead>
<tbody>
<tr>
<td><strong>Post Alignment</strong></td>
<td>Set the alignment of the posts for where they will appear on the page, either left or center.</td>
</tr>
</tbody>
</table>
<h4 id="posts-grid">Posts - Grid</h4>
<table>
<thead>
<tr>
<th>Options</th>
<th>Description</th>
</tr>
</thead>
<tbody>
<tr>
<td><strong>Crop</strong></td>
<td>Turn the cropping on to make all the grid items the same width and height. </td>
</tr>
<tr>
<td><strong>Columns</strong></td>
<td>Decide between 2, 3, or 4 grid columns to appear on the page.</td>
</tr>
<tr>
<td><strong>Alignment</strong></td>
<td>Change the alignment of the filter items list.</td>
</tr>
</tbody>
</table>
<h4 id="posts-minimal">Posts - Minimal</h4>
<table>
<thead>
<tr>
<th>Options</th>
<th>Description</th>
</tr>
</thead>
<tbody>
<tr>
<td><strong>Post Alignment</strong></td>
<td>Set the alignment of the posts for where they will appear on the page, either left or center.</td>
</tr>
</tbody>
</table>
<h2 id="theme-customizer">Theme Customizer</h2>
<p>Change the highlight color, navigation menu, tagline and adjust layout options using this tool.</p>
<p>Navigate to <strong>Appearance &gt; Theme Customizer</strong> to open the Theme Customizer live preview and begin changing and 
customizing the look of your website. See below for descriptions on the various tools and features of the Customizer. 
Once you have made changes you would like to keep, click <strong>Save &amp; Publish</strong>.</p>
<p><img src="../wp-content/themes/struck/functions/includes/help/images/customizer-struck.png" alt="Alt text"></p>
<h3 id="options-and-features">Options and Features</h3>
<p>Below are the descriptions for the various tools and features of the Theme Customizer.</p>
<h4 id="customize">Customize</h4>
<table>
<thead>
<tr>
<th>Option</th>
<th>Description                                             </th>
</tr>
</thead>
<tbody>
<tr>
<td><strong>Header Layout</strong></td>
<td>Select whether you want the header next to or below the logo.               </td>
</tr>
<tr>
<td><strong>Search Box Default Text</strong></td>
<td>Enter the text you&#39;d like to appear in the search box, such as &quot;Search...&quot;.</td>
</tr>
</tbody>
</table>
<h4 id="updates">Updates</h4>
<p>Enter your Themeforest username used to purchase this theme and your API key to get automatic theme updates. </p>
<p>You can find your API key by Logging into Themeforest, visiting your Dashboard page then clicking the My Settings tab. At the bottom of the page you will find your account API key and a button to regenerate it as needed.</p>
<h4 id="site-title-and-tagline">Site Title and Tagline</h4>
<table>
<thead>
<tr>
<th>Option</th>
<th>Description                         </th>
</tr>
</thead>
<tbody>
<tr>
<td><strong>Site Title</strong></td>
<td>Enter the title of your site here.            </td>
</tr>
<tr>
<td><strong>Tagline</strong></td>
<td>Enter an optional tagline for your site here. </td>
</tr>
</tbody>
</table>
<h4 id="colors">Colors</h4>
<table>
<thead>
<tr>
<th>Option</th>
<th>Description</th>
</tr>
</thead>
<tbody>
<tr>
<td><strong>Highlight Color</strong></td>
<td>Select the highlight color, i.e links and hovers, for your site.</td>
</tr>
<tr>
<td><strong>Background Color</strong></td>
<td>The background color for your site content.</td>
</tr>
<tr>
<td><strong>Footer Color</strong></td>
<td>The background color for the footer</td>
</tr>
<tr>
<td><strong>Footer Text Color</strong></td>
<td>The color of the footer text.</td>
</tr>
</tbody>
</table>
<h4 id="navigation">Navigation</h4>
<table>
<thead>
<tr>
<th>Option</th>
<th>Description</th>
</tr>
</thead>
<tbody>
<tr>
<td><strong>Top Nav Bar</strong></td>
<td>This menu location is located in the top right of your site. You can select a menu from already created Custom menus to set one as your main navigation menu.</td>
</tr>
<tr>
<td><strong>Slide Out Menu</strong></td>
<td>This menu location is shown when you click the navigation icon in the upper right. You can select a menu from already created Custom menus to set one as your main navigation menu.</td>
</tr>
</tbody>
</table>
<h4 id="static-front-page">Static Front Page</h4>
<table>
<thead>
<tr>
<th>Option</th>
<th>Description</th>
</tr>
</thead>
<tbody>
<tr>
<td><strong>Front Page Displays</strong></td>
<td>Select Your <strong>latest posts</strong> if you&#39;d like your Homepage to be the blog, or select <strong>Static Page</strong> if you want a different page as the Homepage.</td>
</tr>
<tr>
<td><strong>Front Page</strong></td>
<td>Select or change which page you&#39;d like for you homepage.</td>
</tr>
<tr>
<td><strong>Posts Page</strong></td>
<td>Select or change which page you&#39;d like for the blog page.</td>
</tr>
</tbody>
</table>
<blockquote>
<p>You may have already setup the Front and Posts Page displays during Page Setup</p>
</blockquote>
<h2 id="theme-options">Theme Options</h2>
<p>Use the Theme Options panel to customize layouts, add custom CSS, upload a logo, change the fonts, and adjust other 
theme settings.</p>
<p>After making changes to any of the following tabs be sure to click, <strong>Save Changes</strong>. To reset the changes of the 
specific tab you&#39;re currently viewing click, <strong>Reset Section</strong>, to reset all tabs in Theme Options click, <strong>Reset All</strong>.</p>
<p>Note: Struck does not have the option of a Google Tracking Code. Instead, we recommend the plugin <a href="https://wordpress.org/plugins/google-analytics-for-wordpress/">Google Analytics By Yoast</a></p>
<h4 id="general-settings">General Settings</h4>
<table>
<thead>
<tr>
<th>Option</th>
<th>Description</th>
</tr>
</thead>
<tbody>
<tr>
<td><strong>Dark Logo</strong></td>
<td>Required. Click Upload to upload a dark colored logo to be shown on light backgrounds.</td>
</tr>
<tr>
<td><strong>Light Logo</strong></td>
<td>Required. Click Upload to upload a light colored logo to be shown on dark backgrounds.</td>
</tr>
<tr>
<td><strong>Retina Logo</strong></td>
<td>Select <strong>On</strong> to half the size of your logo for HDPI displays.</td>
</tr>
<tr>
<td><strong>Favicon</strong></td>
<td>Upload your Favicon, the recommended size is 16px by 16px.</td>
</tr>
</tbody>
</table>
<h4 id="customize">Customize</h4>
<table>
<thead>
<tr>
<th>Option</th>
<th>Description</th>
</tr>
</thead>
<tbody>
<tr>
<td><strong>Header Margin</strong></td>
<td>Adjust the top and bottom margin pixels to choose the spacing want in your header.</td>
</tr>
<tr>
<td><strong>Search Box Default Text</strong></td>
<td>Enter the default text you&#39;d like to appear in your search box</td>
</tr>
<tr>
<td><strong>Footer Center Text</strong></td>
<td>Enter any text or shortcodes you&#39;d like to appear in your center footer. Center is the full width of the footer, appears above left and right footers.</td>
</tr>
<tr>
<td><strong>Footer Left Text</strong></td>
<td>Enter any text or shortcodes to appear in the left footer. Such as [tw-current-year] or [tw-social icon=&quot;twitter&quot; url=&quot;&quot; title=&quot;&quot;]</td>
</tr>
<tr>
<td><strong>Footer Right Text</strong></td>
<td>Enter any text or shortcodes to appear in the right footer. Such as [tw-current-year] or [tw-social icon=&quot;twitter&quot; url=&quot;&quot; title=&quot;&quot;]</td>
</tr>
<tr>
<td><strong>Ajax Loading Image</strong></td>
<td>Choose the loading image you&#39;d like to appear throughout your site. </td>
</tr>
<tr>
<td><strong>Custom CSS</strong></td>
<td>Enter any custom CSS to your theme by entering it into the provided block.</td>
</tr>
<tr>
<td><strong>Custom Javascript</strong></td>
<td>Quickly add some custom javascript to your theme by adding it to this block.</td>
</tr>
</tbody>
</table>
<h4 id="blog-settings">Blog Settings</h4>
<table>
<thead>
<tr>
<th>Option</th>
<th>Description</th>
</tr>
</thead>
<tbody>
<tr>
<td><strong>Default Post Sharing</strong></td>
<td>Choose whether or not to display sharing options which appear at the bottom of posts and portfolio items.</td>
</tr>
</tbody>
</table>
<h4 id="fonts">Fonts</h4>
<p>These two tabs are where you&#39;ll change your font throughout the theme. You can also change the weight, making it bolder 
or less bold, and size of the font as well. Sections have their own fonts separate from the rest of the site. Use the 
button <strong>Reset Section</strong> if you&#39;d like to undo any font changes and reset them to the theme&#39;s original.</p>
<h4 id="updates">Updates</h4>
<p>Fill out the fields in this tab to get automatic theme updates</p>
<table>
<thead>
<tr>
<th>Option</th>
<th>Description</th>
</tr>
</thead>
<tbody>
<tr>
<td><strong>Themeforest Username</strong></td>
<td>Enter your Themeforest username used to purchase this theme.</td>
</tr>
<tr>
<td><strong>Themeforest API Key</strong></td>
<td>You can find your API key by Logging into Themeforest, visiting your Dashboard page then clicking the My Settings tab. At the bottom of the page you will find your account API key and a button to regenerate it as needed.</td>
</tr>
<tr>
<td><strong>Your Version</strong></td>
<td>Displays the current version of the theme you are using.</td>
</tr>
</tbody>
</table>
<h4 id="advanced">Advanced</h4>
<table>
<thead>
<tr>
<th>Option</th>
<th>Description</th>
</tr>
</thead>
<tbody>
<tr>
<td><strong>Use Ajax Page Load</strong></td>
<td>This may need to be turned off to work with some plugins that won&#39;t work with ajax.</td>
</tr>
<tr>
<td><strong>Show Help Page</strong></td>
<td>Turn this off to hide the help page from the WordPress dashboard.</td>
</tr>
<tr>
<td><strong>Edit Custom Fields</strong></td>
<td>Turn this on to edit custom fields used by the theme. BE SURE TO CREATE A BACKUP OF YOUR THEME AND DATABASE BEFORE CHANGING THIS.</td>
</tr>
</tbody>
</table>
<h4 id="import-export-options">Import / Export Options</h4>
<table>
<thead>
<tr>
<th>Option</th>
<th>Description</th>
</tr>
</thead>
<tbody>
<tr>
<td><strong>Import Options</strong></td>
<td>Once you&#39;ve downloaded a copy you can re-import it here, should you ever lose your Theme Options.</td>
</tr>
<tr>
<td><strong>Export Options</strong></td>
<td>Here you can copy/download your current option settings. Keep this safe as you can use it as a backup should anything go wrong, or you can use it to restore your settings on this site (or any other site).</td>
</tr>
</tbody>
</table>
<h1 id="frequently-asked-questions-">Frequently Asked Questions </h1>
<h3 id="what-are-filters-">What are Filters?</h3>
<p>Filters work just like categories, only they are applied to both portfolio items and posts.
They allow these items to be sorted onscreen by the given filter. If you have a portfolio page, blog page, or you&#39;re using the 
<a href="#customization-customizing-pages-posts-template-options">Posts - templates</a> to display posts and portfolio items then you can 
choose to use filters so they can easily to be sorted to display similar items.</p>
<h3 id="where-is-the-homepage-template-">Where is the Homepage Template?</h3>
<p>This theme does not have a homepage template in order to make designing your website more versatile. For example, you 
could assign a contact page template as your homepage and add a number of sections and section slides to appear first before the contact form. </p>
<p>In short, any <a href="#getting-started-page-setup-page-templates">page template</a> can be the homepage, as long as you set it as such under <strong>Settings &gt; Reading</strong> for the Front Page option.</p>
<h1 id="altering-and-extending">Altering and Extending</h1>
<h2 id="setting-up-a-child-theme">Setting Up A Child Theme</h2>
<p>By creating a child theme, you create a separate set of files that you can use to customize the theme without affecting 
the original theme. Not only does this make updating easier, it also makes sure that you will never ruin your original 
theme as you are never actually modifying the files. You can always turn off your child theme and fall back on the 
original.</p>
<h4 id="creating-and-using-child-theme">Creating and using child theme</h4>
<p>Whether you&#39;ve made changes to the theme files already, or plan on making alterations, it&#39;s a good idea to create a 
child theme.</p>
<h4 id="adding-additional-css">Adding additional CSS</h4>
<p>Inside these child themes, you can see a stylesheet where you can add additional css styles to your theme. </p>
<pre><code class="lang-css">/*
Theme Name: Struck Child Theme
Description: Child theme for Struck.
Author: Themewich
Template: struck
*/

@import url(&quot;../struck/style.css&quot;);

/* Add additional CSS here */</code></pre>
<p>Simply add your custom css after the <code>@import</code> line and you&#39;re good to go!</p>
<h4 id="activating-your-child-theme">Activating Your Child Theme</h4>
<p>To use your child theme, be sure to zip it. Once it&#39;s zipped, you can 
<a href="#getting-started-installation">install it just like any other theme</a>. You&#39;ll notice that you can only activate the 
child theme while the correct parent theme is active.</p>
<h4 id="making-other-alterations-and-additions">Making Other Alterations and Additions</h4>
<p>Adding additional CSS to the theme is great, but what if you want to edit some of the theme&#39;s template files, or add 
your own template files? </p>
<p>This is where the magic of child themes come in. If you want to make a change to a specific PHP file in your parent 
theme, just copy the file and paste that copy into your child theme’s folder. Once you have the file into your child 
theme directory, you can edit away! WordPress automatically will use that file instead of the parent theme file as 
long as the child theme is activated. This method applies to creating new files as well.</p>
<p><strong>Important:</strong> If you are copying files into your child theme, the file structure in your child theme should match 
your parent theme. For example, if you decide to edit a PHP file in </p>
<pre><code>/struck/functions/templates/sharing.php</code></pre>
<p>you should place it in </p>
<pre><code>/struck/functions/templates/sharing.php</code></pre>
<h2 id="hooks-and-filters">Hooks and Filters</h2>
<p>To make it easy to make alterations to the theme, we&#39;ve set up a ton of hooks and filters you can use in your child theme
to change queries, disable features etc. Here&#39;s a giant list of all the hooks you can use with some examples to follow.
The general usage for these hooks looks like this:</p>
<pre><code class="lang-php">my_function( $data ) {
    // do some alterations to the data here
    // then return it
    return $data;
}
add_action( &#39;tw_section_classes&#39;, &#39;my_function&#39; );</code></pre>
<h3 id="template-hooks">Template Hooks</h3>
<p>Template hooks allow you to add your own html content to the site via a child theme, without having to create child 
theme files. All the template hooks can be used in the following manner.</p>
<pre><code class="lang-php">function my_extra_html() {
    echo &#39;&lt;div class=&quot;note&quot;&gt;Attention! Check me out!&lt;/div&gt;&#39;;
}
add_action( &#39;tw_above_navigation&#39;, &#39;my_extra_html&#39; );</code></pre>
<p>Simply replace <code>tw_above_navigation</code> with the hook of your choice to change where the html will display.</p>
<table>
<thead>
<tr>
<th>Hook</th>
<th>Description</th>
</tr>
</thead>
<tbody>
<tr>
<td><strong>tw_above_navigation</strong></td>
<td>Content to show up <strong>above</strong> the navigation.</td>
</tr>
<tr>
<td><strong>tw_below_navigation</strong></td>
<td>Content to show up <strong>below</strong> the navigation.</td>
</tr>
<tr>
<td><strong>tw_before_logo</strong></td>
<td>Content to show up <strong>before</strong> the logo.</td>
</tr>
<tr>
<td><strong>tw_after_logo</strong></td>
<td>Content to show up <strong>after</strong> the logo, but before the navigation.</td>
</tr>
<tr>
<td><strong>tw_before_nav_icon</strong></td>
<td>Content to show up <strong>before</strong> the navigation icon, but after the top nav bar.</td>
</tr>
<tr>
<td><strong>tw_above_footer</strong></td>
<td>Content to show up <strong>above</strong> the footer, and outside the footer content.</td>
</tr>
<tr>
<td><strong>tw_below_footer</strong></td>
<td>Content to show up <strong>below</strong> the footer, and outside the footer content.</td>
</tr>
<tr>
<td><strong>tw_above_footer_content</strong></td>
<td>Content to show up <strong>above</strong> the footer, and inside the footer content.</td>
</tr>
<tr>
<td><strong>tw_below_footer_content</strong></td>
<td>Content to show up <strong>below</strong> the footer, and inside the footer content.</td>
</tr>
</tbody>
</table>
<h3 id="section-hooks">Section Hooks</h3>
<p>Section hooks allow you to alter section functionality via a child theme. You can add section or slide classes, ids, or 
inline styles. </p>
<p>Example:</p>
<pre><code class="lang-php">my_function( $array ) {
    // do some alterations to the data    
    $array[] = &#39;another-value&#39;;

    // then return it
    return $array;
}
add_action( &#39;tw_section_classes&#39;, &#39;my_function&#39; );</code></pre>
<p>Sometimes you&#39;ll want to only alter a specific section on a specific page. You can do that by getting the id from the 
public <code>$post</code> variable of the page along with detecting the section number on that page.</p>
<p>Example:</p>
<pre><code class="lang-php">function my_extra_class( $classes ) {
    global $post;

    // only add class if the page id is 2 and we are on the second section
    if ( $post-&gt;ID == 2 &amp;&amp; in_array( &quot;section-2&quot;, $classes ) ) {
        $classes[] = &#39;an-extra-class&#39;;
    }

    return $classes;
}

add_action( &#39;tw_section_classes&#39;, &#39;my_extra_class&#39; );</code></pre>
<h4 id="tw_section_classes">tw_section_classes</h4>
<p>Add additional classes to a section. </p>
<p>Example: </p>
<pre><code class="lang-php">function my_extra_class( $classes ) {
    $classes[] = &#39;an-extra-class&#39;;
    return $classes;
}
add_action( &#39;tw_section_classes&#39;, &#39;my_extra_class&#39; );</code></pre>
<h4 id="tw_slide_classes">tw_slide_classes</h4>
<p>Add additional classes to a slide. </p>
<p>Example: </p>
<pre><code class="lang-php">function my_extra_slide_class( $classes ) {
    $classes[] = &#39;an-extra-class&#39;;
    return $classes;
}
add_action( &#39;tw_slide_classes&#39;, &#39;my_extra_slide_class&#39; );</code></pre>
<h4 id="tw_section_ids">tw_section_ids</h4>
<p>Add additional ids to a slide. </p>
<p>Example: </p>
<pre><code class="lang-php">function my_section_id( $ids ) {
    $ids[] = &#39;an-extra-id&#39;;
    return $ids;
}
add_action( &#39;tw_slide_ids&#39;, &#39;my_section_id&#39; );</code></pre>
<h4 id="tw_slide_ids">tw_slide_ids</h4>
<p>Add additional ids to a slide. </p>
<p>Example: </p>
<pre><code class="lang-php">function my_slide_id( $ids ) {
    $ids[] = &#39;an-extra-id&#39;;
    return $ids;
}
add_action( &#39;tw_slide_ids&#39;, &#39;my_slide_id&#39; );</code></pre>
<h4 id="tw_section_styles">tw_section_styles</h4>
<p>Add additional styles to a section. </p>
<p>Example: </p>
<pre><code class="lang-php">function my_section_style( $styles ) {
    $styles[] = &#39;an-extra-id&#39;;
    return $styles;
}
add_action( &#39;tw_section_styles&#39;, &#39;my_section_style&#39; );</code></pre>
<h4 id="tw_slide_ids">tw_slide_ids</h4>
<p>Add additional styles to a slide. </p>
<p>Example: </p>
<pre><code class="lang-php">function my_slide_style( $styles ) {
    $styles[] = &#39;an-extra-id&#39;;
    return $styles;
}
add_action( &#39;tw_slide_styles&#39;, &#39;my_slide_style&#39; );</code></pre>
<h3 id="post-portfolio-query-hooks">Post/Portfolio Query Hooks</h3>
<p>Posts and portfolios use queries to get post info from the database. Using these hooks you can alter the query loops to
change them to your liking.</p>
<blockquote>
<p>All loops are stored in transients to reduce the number of calls to the database. If you plan on altering the loops,
be sure to turn off the transients momentarily or you won&#39;t see the changes take effect on your front end.</p>
</blockquote>
<p>Example:</p>
<pre><code class="lang-php">// turn of the portfolio transient so we can see our modifications
function tw_remove_portfolio_transient() {
    return false; // turn it off
}
add_action( &#39;tw_portfolio_transient&#39;, &#39;tw_remove_portfolio_transient&#39; );</code></pre>
<h4 id="tw_portfolio_transient">tw_portfolio_transient</h4>
<p>Turn on/off the portfolio transient.</p>
<p>Example:</p>
<pre><code class="lang-php">// turn of the portfolio transient so we can see our modifications
function tw_remove_portfolio_transient() {
    return false; // turn it off
}
add_action( &#39;tw_portfolio_transient&#39;, &#39;tw_remove_portfolio_transient&#39; );</code></pre>
<h4 id="tw_portfolio_query">tw_portfolio_query</h4>
<p>Change the portfolio query. Below is an example of adding posts to the page with an id of 341.</p>
<p>Example:</p>
<pre><code class="lang-php">// turn of the portfolio transient so we can see our modifications
function tw_remove_portfolio_transient( $loop ) {
    return false;
}
add_action( &#39;tw_portfolio_transient&#39;, &#39;tw_remove_portfolio_transient&#39; );

// lets get recent posts and portfolio items
function tw_change_portfolio_query( $args ) {
    global $post;

    // we are only changing it for page 341
    if ( $post-&gt;ID == 341 ) {
        $args[&#39;post_type&#39;] = array( &#39;portfolio&#39;, &#39;post&#39; ); // add posts too
        $args[&#39;orderby&#39;]   = &#39;date&#39;; // Turn off drag/drop order
        $args[&#39;order&#39;]     = &#39;DESC&#39;; // Newest first
    }

    return $args;
}
add_action( &#39;tw_portfolio_query&#39;, &#39;tw_change_portfolio_query&#39; );</code></pre>
<h4 id="tw_featured_transient">tw_featured_transient</h4>
<p>Turn on/off the featured loop transient.</p>
<p>Example:</p>
<pre><code class="lang-php">// turn of the portfolio transient so we can see our modifications
function tw_remove_featured_transient() {
    return false; // turn it off
}
add_action( &#39;tw_featured_transient&#39;, &#39;tw_remove_featured_transient&#39; );</code></pre>
<h4 id="tw_featured_query">tw_featured_query</h4>
<p>Change the featured query. Below is an example of removing the featured order and displaying posts in order of date on 
page 341.</p>
<p>Example:</p>
<pre><code class="lang-php">// turn of the featured transient so we can see our modifications
function tw_remove_featured_transient( $loop ) {
    return false;
}
add_action( &#39;tw_featured_transient&#39;, &#39;tw_remove_featured_transient&#39; );

// lets get recent posts and featured items
function tw_change_featured_query( $args ) {
    global $post;

    // we are only changing it for page 341
    if ( $post-&gt;ID == 341 ) {
        $args[&#39;orderby&#39;]   = &#39;date&#39;; // Turn off drag/drop order
        $args[&#39;order&#39;]     = &#39;DESC&#39;; // Newest first
    }

    return $args;
}
add_action( &#39;tw_featured_query&#39;, &#39;tw_change_featured_query&#39; );</code></pre>
<h4 id="tw_posts_transient">tw_posts_transient</h4>
<p>Turn on/off the posts transient.</p>
<p>Example:</p>
<pre><code class="lang-php">// turn of the posts transient so we can see our modifications
function tw_remove_posts_transient() {
    return false; // turn it off
}
add_action( &#39;tw_posts_transient&#39;, &#39;tw_remove_posts_transient&#39; );</code></pre>
<h4 id="tw_posts_query">tw_posts_query</h4>
<p>Change the posts query. Below is an example of adding portfolio items to the page with an id of 341.</p>
<p>Example:</p>
<pre><code class="lang-php">// turn of the posts transient so we can see our modifications
function tw_remove_posts_transient( $loop ) {
    return false;
}
add_action( &#39;tw_posts_transient&#39;, &#39;tw_remove_posts_transient&#39; );

// lets get recent posts and posts items
function tw_change_posts_query( $args ) {
    global $post;

    // we are only changing it for page 341
    if ( $post-&gt;ID == 341 ) {
        $args[&#39;post_type&#39;] = array( &#39;portfolio&#39;, &#39;post&#39; ); // add posts too
        $args[&#39;orderby&#39;]   = &#39;date&#39;; // Turn off drag/drop order
        $args[&#39;order&#39;]     = &#39;DESC&#39;; // Newest first
    }

    return $args;
}
add_action( &#39;tw_posts_query&#39;, &#39;tw_change_posts_query&#39; );</code></pre>
<h3 id="filter-hooks">Filter Hooks</h3>
<p>Filter hooks allow you to change the filter functionality on index pages.</p>
<h4 id="tw_term_filters">tw_term_filters</h4>
<p>Change the filters on the portfolio page. Below is an example of removing a filter list on a page with an id of 341.</p>
<p>Example:</p>
<pre><code class="lang-php">function tw_change_filter_terms( $filters ) {
    global $post;

    // we are only changing it for page 341
    if ( $post-&gt;ID == 341 ) {
        $key = array_search( 12, $filters );
        unset( $filters[ $key ] );
    }

    return $filters;
}

add_action( &#39;tw_term_filters&#39;, &#39;tw_change_filter_terms&#39; );</code></pre>
<h1 id="theme-files-">Theme Files </h1>
<p>This section discloses the sources of various files used within the theme and describes their function. Use this section to gain an understanding on how the theme functions behind the scenes if considering any type of modification.</p>
<blockquote>
<p> <strong>Child Theme Recommended</strong></p>
<p>It&#39;s recommended that you use a child theme for any type of modifications to the theme. A child theme allows you to
make modifications to the theme without editing the theme&#39;s files. Using a child theme ensures you can still update 
the theme without losing your changes. 
<a href="http://docs.themewich.com/article/64-how-to-create-a-child-theme">More about child themes on the knowledgebase.</a></p>
</blockquote>
<h2 id="basic-structure">Basic Structure</h2>
<p>This template is a responsive layout built upon “Media Queries”. The CSS uses “media queries” to size specific content areas and other elements depending on browser width. Refer to the media queries section at the end of style.css for more information.</p>
<h4 id="css-files-and-structure">CSS Files and Structure</h4>
<blockquote>
<p><strong>Always put your css changes in your custom css box or a child theme whenever possible.</strong> That way, if you ever update your theme, you won’t lose your changes. However, if you have to edit the theme directly I’ve put all styles in one main stylesheet to allow for easier changes.</p>
</blockquote>
<table>
<thead>
<tr>
<th>Stylesheet Name</th>
<th>Description</th>
</tr>
</thead>
<tbody>
<tr>
<td><strong>style.css</strong></td>
<td>Used for the specific styling of elements, layout and typography throughout the site. In this file you can find the styles of any of the elements throughout the site, such as buttons, image frames, sliders, featured tabs, forms, quotes and more.</td>
</tr>
<tr>
<td><strong>bootstrap.css</strong></td>
<td>A reponsive grid framework for the site.</td>
</tr>
<tr>
<td><strong>font-awesome.css</strong></td>
<td>Scalable vector icons.</td>
</tr>
<tr>
<td><strong>ie9.css</strong></td>
<td>Styles to make compatbile with Internet Explorer 9</td>
</tr>
</tbody>
</table>
<h4 id="use-of-scss-files">Use of SCSS Files</h4>
<p>You can also make use of the scss files included in the sass folder of the theme. For more information about scss files, check out the Sass Website.</p>
<h4 id="javascript">Javascript</h4>
<p>This theme imports multiple Javascript files that are required to view the theme sections and other functionality.</p>
<p>Here are some scripts worth noting:</p>
<table>
<thead>
<tr>
<th>Script Name</th>
<th>Description</th>
</tr>
</thead>
<tbody>
<tr>
<td><strong>imageloaded</strong></td>
<td>Detects if images are loaded in a container. This is needed for infinite scroll and graceful page rendering.</td>
</tr>
<tr>
<td><strong>ajaxify</strong></td>
<td>The theme uses a custom version to make each page load via ajax.</td>
</tr>
<tr>
<td><strong>bxslider</strong></td>
<td>Used for the gallery slideshows throughout your site.</td>
</tr>
<tr>
<td><strong>easing</strong></td>
<td>A utility function to help ease animations in a more natural way.</td>
</tr>
<tr>
<td><strong>fitvids</strong></td>
<td>Makes videos responsive with the screen width.</td>
</tr>
<tr>
<td><strong>fullpage</strong></td>
<td>A slightly modified version of fullpage for the section functionality</td>
</tr>
<tr>
<td><strong>history</strong></td>
<td>Used for the ajax scripts and to move to the correct section when clicking the back button</td>
</tr>
<tr>
<td><strong>infinitescroll</strong></td>
<td>Allows each page of posts to be loaded via ajax.</td>
</tr>
<tr>
<td><strong>magnificpopup</strong></td>
<td>Theme lightbox for images, videos, inline content and iframes.</td>
</tr>
<tr>
<td><strong>navburger</strong></td>
<td>Custom plugin created by Themewich for the slide out menu. Uses tweenmax(greensock) for animation.</td>
</tr>
<tr>
<td><strong>slimscroll</strong></td>
<td>Allows fullpage sections to be scrolled if the content exceeds the height of the window.</td>
</tr>
<tr>
<td><strong>modernizer</strong></td>
<td>Browser feature detection</td>
</tr>
<tr>
<td><strong>pace</strong></td>
<td>Loading bar at the top of the site</td>
</tr>
<tr>
<td><strong>pace-options</strong></td>
<td>Loading bar options needed to be included before pace call</td>
</tr>
<tr>
<td><strong>superfish</strong></td>
<td>Top menu dropdowns</td>
</tr>
<tr>
<td><strong>tweenmax</strong></td>
<td>Greensock animation platform. Requires special license to distribute.</td>
</tr>
</tbody>
</table>
<h2 id="theme-plugins">Theme Plugins</h2>
<p>The theme&#39;s functionality is broken up through the use of individual plugins. This way, when if you ever decide to change themes, your site data, like shortcodes, contact forms or sections will continue to work on your new site.</p>
<table>
<thead>
<tr>
<th>Plugin Name</th>
<th>Description</th>
</tr>
</thead>
<tbody>
<tr>
<td>Advanced Custom Fields Pro</td>
<td>Fully customise WordPress edit screens with powerful fields. Allows easier user modification of custom fields on sections and page options.</td>
</tr>
<tr>
<td>Ninja Forms</td>
<td>Ninja Forms is a webform builder that allows you to easily and quickly design complex forms through a drag and drop interface and absolutely no code.</td>
</tr>
<tr>
<td>Themewich Shortcodes</td>
<td>A better, more user-friendly shortcode plugin.</td>
</tr>
<tr>
<td>Themewich Portfolio Items</td>
<td>Portfolio Items post type for your Themewich theme.</td>
</tr>
</tbody>
</table>
<h4 id="recommended-plugins">Recommended Plugins</h4>
<table>
<thead>
<tr>
<th>Plugin Name</th>
<th>Description</th>
</tr>
</thead>
<tbody>
<tr>
<td>Category Order and Taxonomy Terms Order</td>
<td>Order Categories and all custom taxonomies terms (hierarchically) using a Drag and Drop Sortable javascript capability. </td>
</tr>
<tr>
<td>Regenerate Thumbnails</td>
<td>Allows you to regenerate all thumbnails after changing the thumbnail sizes.</td>
</tr>
<tr>
<td>Redux Framework</td>
<td>Redux is a simple and fully responsive options framework for WordPress themes and plugins</td>
</tr>
<tr>
<td>ZenCache</td>
<td>ZenCache takes a real-time snapshot (building a cache) of every Page, Post, Category, Link, to reduce your sever load by caching php requests. </td>
</tr>
<tr>
<td>Better WordPress Minify</td>
<td>Allows you to combine and minify your CSS and JS files to improve page load time.</td>
</tr>
<tr>
<td>WordPress SEO</td>
<td>The first true all-in-one SEO solution for WordPress, including on-page content analysis, XML sitemaps and much more.</td>
</tr>
</tbody>
</table>
<blockquote>
<p><strong>But wait! Won&#39;t all these plugins slow down my site?</strong></p>
<p>This is a myth about WordPress commonly misspoken about running a lot of non-scalable, intensive plugins on your site. If plugins are quality,
scalable plugins - they will not slow down your site. In fact, many of the top WordPress internet blogs run 50 - 100 plugins on their sites. 
The plugins included with this theme were integrated with the theme in such a way so they are infinitely scalable, and won&#39;t slow down your site.
In fact, many of these plugins will actually speed up your site!</p>
<p>Check out these links for more information about using plugins: 
<a href="http://wpengine.com/2013/08/28/plugins-and-fast-wordpress-sites-its-not-the-number-of-plugins-its-the-quality/">Plugins and Fast WordPress Sites</a>, <a href="https://lorelle.wordpress.com/2012/09/27/how-many-is-too-many-wordpress-plugins/">How Many Is Too Many Plugins?</a>, <a href="http://www.wpbeginner.com/opinion/how-many-wordpress-plugins-should-you-install-on-your-site/">How Many Plugins Should You Install On Your Site</a></p>
</blockquote>
<h4 id="thank-you-">Thank You!</h4>
<p>Thanks again for purchasing my theme. If you have any questions that are beyond the scope of this help, please feel free to email any questions to our <a href="https://themewich.com/theme-support/">Support System</a>. Thanks so much!</p>
